Subject: Re: [tcpm] poll for adoption of draft-ananth-persist-02
From: Mark Allman <[email-masked]>
To: "Anantha Ramaiah (ananth)" <[email-masked]>
Cc: [email-masked], Murali Bashyam <[email-masked]>
Date: Thu, 01 Apr 2010 22:45:46 -0400
List-Id: TCP Maintenance and Minor Extensions Working Group <tcpm.ietf.org>

> > I mean, sure, an app may want to not let a connection hang around
> > forever.  But, can't it just ABORT whenever it wants?
> 
> Yes, the application can ABORT the connection whenever it wants. 
> 
> The socket option is suggested for multiple reasons (use cases) :-

Well, that all strikes me as thin.  I mean, I don't actually care what
socket option anyone wants to add, but I agree with John that it doesn't
seem like IETF work to me.  I certainly wouldn't suggest doing it in a
draft that is meant as a simple clarification of previous RFCs.

I am fine with the simple clarification in this draft.  I would leave
off the API gunk.  Just my hit.

allman